﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Net.Sockets;
using System.Resources;
using System.Text;
using ZennoLab.CommandCenter;
using ZennoLab.Emulation;
using ZennoLab.InterfacesLibrary.ProjectModel;
using ZennoLab.InterfacesLibrary.ProjectModel.Enums;

namespace ZennoPosterProject1
{
    /// <summary>
    /// Класс для запуска выполнения скрипта
    /// </summary>
    public class Program : IZennoExternalCode
    {
        /// <summary>
        /// Метод для запуска выполнения скрипта
        /// </summary>
        /// <param name="instance">Объект инстанса выделеный для данного скрипта</param>
        /// <param name="project">Объект проекта выделеный для данного скрипта</param>
        /// <returns>Код выполнения скрипта</returns>		
        public int Execute(Instance instance, IZennoPosterProjectModel project)
        {
            int executionResult = 0;
            //вместо этого кубика нагуливаем профиль
            instance.ActiveTab.Navigate("https://mail.ru");
            instance.ActiveTab.WaitDownloading();
            instance.EmulationLevel = "SuperEmulation"; // супер эмуляция
            instance.UseFullMouseEmulation = true; // полная эмуляция мыши
             //Делаем прокрутку на 500 пикселей ВНИЗ (по y)
            instance.ActiveTab.FullEmulationMouseWheel(0, 500);
            //Делаем прокрутку на 500 пикселей ВВЕРХ (по y)
            instance.ActiveTab.FullEmulationMouseWheel(0, -500);
            //Находим элемент кнопки
            var elButton = instance.ActiveTab.FindElementByXPath("//button", 0);
            //Определяем, на каком расстоянии от верха страницы находится кнопка
            int topInBrowser = int.Parse(elButton.GetAttribute("topInBrowser"));
            //Делаем прокрутку на это расстояние
            instance.ActiveTab.FullEmulationMouseWheel(0, topInBrowser);
            //Ведём курсор мышки к кнопке
            instance.ActiveTab.FullEmulationMouseMoveToHtmlElement(elButton);
            //Кликаем
            instance.ActiveTab.FullEmulationMouseClick("left", "click");


            return executionResult;
        }
    }
}